/*****************************************
 * Arduino UNO controlled VC Oscillator
 * ***************************************
 * W.Spahn Feb.2021   dernulleffekt.de
 * 
 *  sensor on pin A1
 *  voltage control on pin D5
 *  sync on pin D10
 * 
 ******************************************/


void setup() {
  // sets the speed on pin 5 and 6 (just for a Atmega328 chip):
  TCCR0B = TCCR0B & 0b11111000 | 0x01;
}

void loop() {
  for (int i = 51; i < 256; i++) {
    int value = analogRead(0);
    value = map(value,0,1023,0,100);
    analogWrite(5, 0+i);
    digitalWrite(10, HIGH);
    digitalWrite(9, HIGH);
    delay(value*i);
    digitalWrite(10, LOW);
    digitalWrite(9, LOW);
    delay(value*i);
  }
  for (int i = 254; i > 50; i--) {
    int value = analogRead(0);
    value = map(value,0,1023,0,100);
    analogWrite(5, 0+i);
    digitalWrite(10, HIGH);
    digitalWrite(9, HIGH);
    delay(value*i);
    digitalWrite(10, LOW);
    digitalWrite(9, LOW);
    delay(value*i);
  }
}
